Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.stats.svm.tools
Class SVM_Light.LabelledVector

    java.lang.Object
      org.biojava.stats.svm.tools.SVM_Light.LabelledVector

Enclosing class:
  SVM_Light

    public static class SVM_Light.LabelledVector

extends Object

Constructor Summary
`SVM_Light.LabelledVector(SparseVector v, double label)`
`SVM_Light.LabelledVector(SparseVector v, double label, String comment)`

Method Summary
`String` | `getComment()`
`double` | `getLabel()`
`SparseVector` | `getVector()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVM_Light.LabelledVector

    public SVM_Light.LabelledVector(SparseVector v,
                                    double label)

### SVM_Light.LabelledVector

    public SVM_Light.LabelledVector(SparseVector v,
                                    double label,
                                    String comment)

Method Detail

### getVector

    public SparseVector getVector()

### getLabel

    public double getLabel()

### getComment

    public String getComment()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD